# pandas.api.types.is_categorical

pandas.api.types.is_categorical(arr)

  Check whether an array-like is a Categorical instance.

  Parameters
    arr array-like

      The array-like to check.

  Returns
    boolean

      Whether or not the array-like is of a Categorical instance.

  Examples

      >>> is_categorical([1, 2, 3])
      False

  Categoricals, Series Categoricals, and CategoricalIndex will return True.

      >>> cat = pd.Categorical([1, 2, 3])
      >>> is_categorical(cat)
      True
      >>> is_categorical(pd.Series(cat))
      True
      >>> is_categorical(pd.CategoricalIndex([1, 2, 3]))
      True